import 'package:flutter/material.dart' show Color;

class ChartColors {
  ChartColors._();

  static const Color kLineColor=const Color(0xff71ADE8);
  static const Color lineFillColor=const Color(0x55309fea);
  static const Color ma5Color =const Color(0xffF6b700);
  static const Color ma10Color =const Color(0xff00d6ce);
  static const Color ma30Color =const Color(0xffA271ff);
  static const Color upColor =const Color(0xFFF54040);
  static const Color dnColor =const Color(0xFF09B36E);
  static const Color volColor =const Color(0xff4729AE);

  static const Color macdColor =const Color(0xff4729AE);
  static const Color difColor =const Color(0xffF6b700);
  static const Color deaColor =const Color(0xff00d6ce);

  static const Color kColor =const Color(0xffF6b700);
  static const Color dColor =const Color(0xff00d6ce);
  static const Color jColor =const Color(0xffA271ff);
  static const Color rsiColor =const Color(0xffF6b700);

  static const Color defaultTextColor = const Color(0xff999999);

  //深度颜色
  static const Color depthBuyColor =  const Color(0xFFF54040);
  static const Color depthSellColor = const Color(0xFF09B36E);
  //选中后显示值边框颜色
  static const Color selectBorderColor =const Color(0xff6C7A86);

  //选中后显示值背景的填充颜色
  static const Color selectFillColor =const Color(0xff0D1722);
  static const Color hintGrey = Color(0xFF9C9C9C);

}

class ChartStyle {
  ChartStyle._();

  //点与点的距离
  static const double pointWidth = 7.0;

  //需要合并点的最小距离
  static const double userFriendlyMinPointWidth = 8.0;

  //蜡烛宽度
  static const double candleWidth = 4.5;

  //蜡烛中间线的宽度
  static const double f_k_chartWidth = 1.5;

  //vol柱子宽度
  static const double volWidth = 4.5;

  //macd柱子宽度
  static const double macdWidth = 3.0;

  //垂直交叉线宽度
  static const double vCrossWidth = 1.5;

  //水平交叉线宽度
  static const double hCrossWidth = 0.5;
}
